# Beta Barrel Pymol Script
# Loren Williams
# Georgia Tech
# 
# Structure of TrpF from Jonesia denitrificans
# Resolution: 1.09 Å
# R-Value Free: 0.138 
# R-Value Work: 0.128 


## delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# high quality surfaces
set surface_quality, 3


### create object protein1
fetch 4WUI, protein1
remove not chain A and protein1

fetch 5DN1, 
fetch 4W9T
fetch 4TX9
fetch 4X9S
fetch 4U28
fetch 5BVL

remove solvent
remove not polymer

cealign protein1, 5DN1
cealign protein1, 4W9T
cealign protein1, 4TX9
cealign protein1, 4X9S
cealign protein1, 4U28
cealign protein1, 5BVL

hide everything, protein1
show cartoon, protein1
set cartoon_fancy_helices, 0
spectrum count, rainbow, protein1

### color red, ss h and protein1
### color yellow, ss s and protein1
### color green, ss l+'' and protein1

create protein2, protein1
hide everything, protein2
show sticks, protein2
color red, name O* and protein2
color wheat, name C* and protein2
color blue, name N* and protein2
color yellow, name P* and protein2
color yellow, name S* and protein2

create Helix_1, resi 10-20 and protein1
create Helix_2, resi 38-48 and protein1
create Helix_3, resi 63-75 and protein1
create Helix_4, resi 86-97 and protein1
create Helix_5, resi 107-109 and protein1
create Helix_6, resi 136-144 and protein1
create Helix_7, resi 159-169 and protein1
create Helix_8, resi 186-199 and protein1

hide everything, Helix_*
show cartoon, Helix_*
set cartoon_cylindrical_helices,1, Helix_*
set cartoon_helix_radius, 1.5

create motif1, resi 1-30 and protein1
create motif2, resi 22-60 and protein1
create motif3, resi 52-83 and protein1
create motif4, resi 76-106 and protein1
create motif5, resi 100-126 and protein1
create motif6, resi 119-153 and protein1
create motif7, resi 149-175 and protein1

disable all
enable protein1
enable helix_*
set_view (\
    -0.141216457,    0.648293912,    0.748172164,\
    -0.815822780,    0.351897508,   -0.458908498,\
    -0.560783267,   -0.675185084,    0.479202449,\
    -0.000000000,    0.000000000, -156.313308716,\
    43.844429016,    7.749746323,   41.378898621,\
   123.238601685,  189.388015747,  -20.000000000 )
### cut above here and paste into script ###

#ray 1000,1000
#save pocket_ligand_2.png


